criterion-0.6.2.0: Robust, reliable performance measurement and analysis

Portability | GHC
Stability | experimental
Maintainer | bos@serpentine.com
Safe Haskell | None

Criterion.Environment

Description

Code for measuring and characterising the execution environment.

Synopsis

- data Environment = Environment {
  - envClockResolution :: !Double
  - envClockCost :: !Double
  }
- measureEnvironment :: Criterion Environment

# Documentation

data Environment Source

Measured aspects of the execution environment.

Constructors

Environment |

Fields

envClockResolution :: !Double

  Clock resolution (in seconds).

envClockCost :: !Double

  The cost of a single clock call (in seconds).

Instances

Eq Environment |
Read Environment |
Show Environment |
Typeable Environment |

measureEnvironment :: Criterion Environment Source

Measure the execution environment.